/// <reference types="node" />
import { File } from './types';
interface FileRefOptions {
    mode?: number;
    digest: string;
    contentType?: string;
    mutable?: boolean;
}
export default class FileRef implements File {
    type: 'FileRef';
    mode: number;
    digest: string;
    contentType: string | undefined;
    private mutable;
    constructor({ mode, digest, contentType, mutable, }: FileRefOptions);
    toStreamAsync(): Promise<NodeJS.ReadableStream>;
    toStream(): NodeJS.ReadableStream;
}
export {};
